controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\grid\GridView;
use app\models\Coches;
use yii\data\ActiveDataProvider;


class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()//carga pagina principal
    {
        return $this->render('index');
    }
    
    public function actionCoches() {
        //cargar listado de todos los coches en un gridView
        $dataProvider=new ActiveDataProvider([
            'query'=>Coches::find()
        ]);
        
        return $this->render("coches",[
            'datos'=>$dataProvider,
        ]);
    }
    
    public function actionOfertas() {
       //cargar listado de todos los coches en un listView
        $dataProvider=new ActiveDataProvider([
            'query'=>Coches::find()->where(['oferta'=>1]),
        ]);
        
        return $this->render("ofertas",[
            'dataProvider'=>$dataProvider,
        ]);
    }
    
    public function actionVer($id) {
        //el id es el id del coche del cual quiero ver todos los datos
        
        //consulta utilizando el where con texto
        //$modelo=Coches::find()->where("id=$id")->one();
        //consulta utilizando el where parametrizando
        //$modelo=Coches::find()->where(["id"=>$id])->one();
        
        //consulta utilizando el metodo findOne
        //esto es muy util para buscar por la clave principal
        $modelo=Coches::findOne($id);
        
        return $this->render("ver",[
            "modelo"=>$modelo
        ]);
    }
}

views/site/_ofertas.php
<?php
use yii\helpers\Html;
?>
<div class="card">
  <ul class="list-group list-group-flush">
    <li class="list-group-item">Marca: <?= $model->marca ?></li>
    <li class="list-group-item">Modelo: <?= $model->modelo ?></li>
    <li class="list-group-item">Precio: <?= $model->precio ?></li>
    <li class="list-group-item">
        <?= Html::a('Ver más', ['site/ver', 'id' => $model->id], ['class' => 'btn btn-primary']) ?></li>
  </ul>
</div>

views/site/coches.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;

echo GridView::widget([
    'dataProvider' => $datos,
    'columns'=>[
        'id',
        'marca',
        'modelo',
        'precio',
         [
            'label'=>'foto',//nombre del campo
            'format'=>'raw',
            'value' => function($data){
                $url = '@web/imgs/' . $data->foto;
                return Html::img($url,[
                    'class'=>'img-fluid',
                    'style'=>'width:300px']); 
            }
        ],
        [
            'label'=>'Acciones',
            'format'=>'raw',
            'value' => function($data){
                $url = ['site/ver','id'=>$data->id];
                return Html::a('Ver más...', $url, ['class'=>'btn btn-primary']); 
            }
        ],
    
    ]
]);

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php
use yii\helpers\Html;
/* @var $this yii\web\View */

$this->title = 'Concesionario León';
?>
<div class="site-index">
 <div>
      <h2 class="text-left">Bienvenido</h2>

      <div class="col-lg-10 text-justify">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</div>

                
            </div>
            <?= Html::img('@web/imgs/concesionario.jpeg',[
                'class'=>'img-fluid',
                'class'=>'col-lg-10',
            ]) ?>
        </div>

   

views/site/ofertas.php
<?php
use yii\widgets\ListView;
?>
<div class="card-group"></div>

<?php
echo ListView::widget([
    'dataProvider' => $dataProvider,
    'itemView'=>'_ofertas',
    
]);

views/site/ver.php
<?php
use yii\widgets\DetailView;
use yii\helpers\Html;


echo DetailView::widget([
    'model'=>$modelo,
    'attributes'=>[
        'id',
        'marca',
        'modelo',
        'precio',
        'fechaEntrada',
        'cilindrada',
        [
            'label'=>'foto',//nombre del campo
            'format'=>'raw',
            'value' => function($data){
                $url = '@web/imgs/' . $data->foto;
                return Html::img($url,[
                    'class'=>'img-fluid',
                    'style'=>'width:300px']); 
            }
        ]
        
    ]
]);